Skip to main content
`Ctrl`+`K`

# PCBDDCSetDirichletBoundaries

Set the `IS` defining Dirichlet boundaries for the global problem.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetDirichletBoundaries(PC pc, IS DirichletBoundaries)

Collective

## Input Parameters

- pc - the preconditioning context

- DirichletBoundaries - parallel `IS` defining the Dirichlet boundaries

## Note

Provide the information if you used `MatZeroRows()` or `MatZeroRowsColumns()`. Any process can list any global node

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetDirichletBoundariesLocal()`, `MatZeroRows()`, `MatZeroRowsColumns()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCSetDirichletBoundaries_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages